sbit ISR_LED = P1^7;

sbit R1=P1^0;
sbit R2=P1^1;
sbit R3=P1^2;
sbit R4=P1^3;

sbit C1=P1^4;
sbit C2=P1^5;
sbit C3=P1^6;

sbit RS=P2^0;
sbit RW=P2^1;
sbit EN=P2^2;
sbit Busy_Flag=P0^7;
unsigned char Key=0x00;

void MSDelay(unsigned int); //Times MS of Delay.
void LCDData(unsigned char); //To render 8-bit ASCII data.
void LCDCommand(unsigned char);//To exe 8-bit LCD command.
void LCDReady(void); //To confirm that LCD is free.
void WriteString(unsigned char *); //To render a line of string @ current position.
unsigned char KeyScan(void);		// THis is function proto-type

static code unsigned char *PWD="1982";

void Access(void); //This is a function used for authentication.